/* Fakiir
 *
 * (C) Copyright 2005 Denis Rojo <jaromil@dyne.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


/* class to hide specific requirements of components inside for
   instance xmlrpc requires inheritance that we don't want to apply to
   fakiir external classes. */

#ifndef __TRANSFERS_H__
#define __TRANSFERS_H__

#include <xmlrpc/XmlRpc.h>
#include <fakiir.h>

using namespace XmlRpc;

class TransXmlRpcMethod : public XmlRpcServerMethod {
 public:
  TransXmlRpcMethod(string n, Method *m);
  ~TransXmlRpcMethod();
  
  void execute(XmlRpcValue &params, XmlRpcValue &result);
  
 private:
  Method *master;
};

#endif
